only test latest versions
authormh <mh@immerda.ch>
Sat, 25 Jan 2014 15:16:40 +0000 (16:16 +0100)
committermh <mh@immerda.ch>
Sat, 25 Jan 2014 15:16:40 +0000 (16:16 +0100)
.travis.yml

index 9b9750e..4b26c23 100644 (file)
@@ -4,20 +4,10 @@ rvm:
   - 2.0.0
 script: 'bundle exec rake spec'
 env:
-  - PUPPET_VERSION=2.7.0
-  - PUPPET_VERSION=3.0.0
-  - PUPPET_VERSION=3.1.0
-  - PUPPET_VERSION=3.2.0
+  - PUPPET_VERSION=2.7.25
   - PUPPET_VERSION=3.4.2
 matrix:
   exclude:
-    # No support for Ruby 1.9 before Puppet 2.7
-    - rvm: 1.9.3
-      env: PUPPET_VERSION=2.6.0
     # No support for Ruby 2.0 before Puppet 3.2
     - rvm: 2.0.0
-      env: PUPPET_VERSION=2.7.0
-    - rvm: 2.0.0
-      env: PUPPET_VERSION=3.0.0
-    - rvm: 2.0.0
-      env: PUPPET_VERSION=3.1.0
+      env: PUPPET_VERSION=2.7.25